EventHttpConnection::__construct
EventHttpConnection::getPeer
EventHttpConnection
PHP Manual

# EventHttpConnection::getBase

(PECL event >= 1.2.6-beta)

EventHttpConnection::getBase — Returns event base associated with the connection

### Description

public EventBase EventHttpConnection::getBase ( void )

Returns event base associated with the connection.

### Parameters

This function has no parameters.

### Return Values

On success returns EventBase object associated with the connection. Otherwise `FALSE`.

EventHttpConnection::__construct
EventHttpConnection::getPeer
EventHttpConnection
PHP Manual